
#pragma once

#include <ostream>
#include <istream>

using namespace std;

class V3 {
public:
	float xyz[3];
	V3() {};
	V3(float x, float y, float z);
	float& operator[](int i);
	V3 operator+(V3 v1);
	V3 operator-(V3 v1);
	float operator*(V3 v1);
	V3 operator*(float t);
	// cerr << v0 << "; v2: " << v2 << endl;
	friend ostream& operator<<(ostream& ostr, V3 v);
	V3 operator^(V3 v2);
	V3 RotateThisPointdAboutAxis(V3 aO, V3 aD, float theta);
	float Length();
	V3 UnitVector();
};