#pragma once

#include <ostream>
#include <istream>

using namespace std;

#include "V3.h"

class M33 {
public:
	V3 rows[3];
	M33() {};
	V3& operator[](int i);
	V3 operator*(V3 v);
	friend ostream& operator<<(ostream& ostr, M33 m);
	V3 GetColumn(int i);
	void SetColumn(int i, V3 column);
	M33 Inverted();
	void SetRotY(float theta);
};
